VERSION 5.00
Begin VB.Form FadeForm1 
   Caption         =   "Faded Form1 By PAT or JK"
   ClientHeight    =   3240
   ClientLeft      =   3000
   ClientTop       =   2370
   ClientWidth     =   4680
   BeginProperty Font 
      Name            =   "Comic Sans MS"
      Size            =   9.75
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H00000000&
   LinkTopic       =   "Form1"
   ScaleHeight     =   3240
   ScaleWidth      =   4680
End
Attribute VB_Name = "FadeForm1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'A Fading Form Example By PAT or JK (made from scratch)
'Questions, comments, errors? Send um to "patorjk@aol.com"
'http://www.patorjk.com/
Dim StartColor As Long, EndColor As Long


Sub FadeSide2Side(Form As Form, Color1 As Long, Color2 As Long)
Dim x!, x2!, y%, i%, red1%, green1%, blue1%, red2%, green2%, blue2%, pat1!, pat2!, pat3!, c1!, c2!, c3!
x = 0

' find the length of the form and cut it into 80 pieces
x2 = Form.ScaleWidth / 80
y% = Form.ScaleHeight

' separating  red, green, and blue in each of the two colors
red1% = Color1 And 255
green1% = Color1 \ 256 And 255
blue1% = Color1 \ 65536 And 255
red2% = Color2 And 255
green2% = Color2 \ 256 And 255
blue2% = Color2 \ 65536 And 255

' cut the difference between the two colors into 100 pieces
pat1 = (red2% - red1%) / 80
pat2 = (green2% - green1%) / 80
pat3 = (blue2% - blue1%) / 80

' set the c variables at the starting colors
c1 = red1%
c2 = green1%
c3 = blue1%

' draw 80 different lines on the form
For i% = 1 To 80
Form.Line (x, 0)-(x + x2, y%), RGB(c1, c2, c3), BF
x = x + x2 ' draw the next line one step up from the old step
c1 = c1 + pat1 ' make the c variable equal to it's next step
c2 = c2 + pat2
c3 = c3 + pat3
Next
Form.CurrentX = 0
Form.CurrentY = 0
Form.Print "Click And Resize Me!" ' Note: remove this line when making your own projects
End Sub
Sub FadeTop2Bottom(Form As Form, Color1 As Long, Color2 As Long)
Dim x!, x2!, y%, i%, red1%, green1%, blue1%, red2%, green2%, blue2%, pat1!, pat2!, pat3!, c1!, c2!, c3!
x = 0

' find the height of the form and cut it into 80 pieces
x2 = Form.ScaleHeight / 80
y% = Form.ScaleWidth

' separating  red, green, and blue in each of the two colors
red1% = Color1 And 255
green1% = Color1 \ 256 And 255
blue1% = Color1 \ 65536 And 255
red2% = Color2 And 255
green2% = Color2 \ 256 And 255
blue2% = Color2 \ 65536 And 255

' cut the difference between the two colors into 100 pieces
pat1 = (red2% - red1%) / 80
pat2 = (green2% - green1%) / 80
pat3 = (blue2% - blue1%) / 80

' set the c variables at the starting colors
c1 = red1%
c2 = green1%
c3 = blue1%

' draw 80 different lines on the form
For i% = 1 To 80
Form.Line (0, x)-(y%, x + x2), RGB(c1, c2, c3), BF
x = x + x2 ' draw the next line one step up from the old step
c1 = c1 + pat1 ' make the c variable equal to it's next step
c2 = c2 + pat2
c3 = c3 + pat3
Next
Form.CurrentX = 0
Form.CurrentY = 0
Form.Print "Click And Resize Me!" ' Note: remove this line when making your own projects
End Sub

Private Sub Form_Click()
Randomize
StartColor = RGB(255 * Rnd, 255 * Rnd, 255 * Rnd)
EndColor = RGB(255 * Rnd, 255 * Rnd, 255 * Rnd)
If Int(2 * Rnd) = 1 Then
Call FadeSide2Side(Me, StartColor, EndColor)
Else
Call FadeTop2Bottom(Me, StartColor, EndColor)
End If
End Sub

Private Sub Form_Load()
Me.ForeColor = RGB(255, 255, 255)
StartColor = RGB(0, 0, 0)
EndColor = RGB(0, 0, 255)
End Sub


Private Sub Form_Paint()
'Call FadeSide2Side(Me, StartColor, EndColor)
Call FadeTop2Bottom(Me, StartColor, EndColor)
End Sub

Private Sub Form_Resize()
Form_Paint
End Sub
